903 pre-release is here but if you had downloaded it before 9/25... - BI Beans(Archived)

9.0.3 pre-release is officially posted at
http://otn.oracle.com/software/products/bib/
You will need the 9.2.0.1.0a patch for the database.
(Located at http://otn.oracle.com/products/bi/9iolap.html)
Only the Sun Solaris version is available at the moment.
If you had downloaded the 9.0.3 pre-prelease of BI Beans before Sept 25, please remove it, and download/install the 9.0.3 pre-release again.
Thanks

Related

Latest TopLink GA Version

Hi,
The version of TopLink included with MyEclipse 8.5 is:
[TopLink Info]: 2010.07.06 08:53:28.484--ServerSession(31128398)--TopLink, version: Oracle TopLink Essentials - 2.0 (Build b40-rc (03/21/2007))
Questions:
1. Is this the latest GA version?
2. Is EclipseLink the latest GA version and is it free usage?
3. How (and from where) do I upgrade to a later version?
Thank you!
Edited by: user13365959 on Jul 6, 2010 5:22 PM 
user13365959 wrote:
Hi,
The version of TopLink included with MyEclipse 8.5 is:
[TopLink Info]: 2010.07.06 08:53:28.484--ServerSession(31128398)--TopLink, version: Oracle TopLink Essentials - 2.0 (Build b40-rc (03/21/2007))We switched from development on TopLink Essentials (TLE) to EclipseLink several years ago. No active development goes on TLE.
That is a pretty old version. Eclipse Galileo included EclipseLink 1.1 and just a couple of weeks ago we shipped EclipseLink 2.1.0 as part of the Eclipse Helios release.
>
Questions:
1. Is this the latest GA version?So the latest EclipseLink release we shipped in 2.1.0 - Details # http://wiki.eclipse.org/EclipseLink/Release/2.1.0
As far as the Oracle TopLink product goes we use dto include TopLink Essentials and now ship our releases with EclipseLink. The version matrix is available here: http://www.oracle.com/technology/products/ias/toplink/technical/support/jpa.html#eclipselink
2. Is EclipseLink the latest GA version and is it free usage?EclipseLink is free to use. It is dual licensed under EPL & EDL (BSD). Details available at bottom of download page: http://www.eclipse.org/eclipselink/downloads/index.php
3. How (and from where) do I upgrade to a later version?See download link above.
User Guide has some install and getting started materials: http://wiki.eclipse.org/EclipseLink/UserGuide
>
Thank you!No Problem,
Doug 
Thank you for speedy response.

BI Beans & 9iR2

Does BI Beans work with 9iR2? Since there is no longer a separate OLAP server it seems unable to find it when creating the OlapConnection. 
you are right. the 2.7 release of the BI Beans will work with 9iR2 and the connection mechanism will be different. However, the APIs of the BI Beans will remain backward-compatible. This means if you wrote an application using BI Beans 2.5 against a 9.0.1 database, the migration effort to BI Beans 2.7 against a 9.2 database is minimal.
Thanks 
What do You mean wit 2.7.
TIA
Tullio 
the next release of BI Beans (2.7) will work against the 9.2 database 
Do You mean the version included in JDev 9.0.3 ?
TIA
Tullio 
BI Beans are not included in a OTN Jdeveloper Installation. The next release of the BI Beans (2.7) will work with JDev 9.0.3 but you still need to install the Beans over the Jdev install.
Thanks

BIBEANS dependancy on iAS

Understand that to install BIBEANS, there is a requirement on 9iDB version and OLAP patch set, and JDevloper version as well.
Is there any requirement on iAS?
Say for 9.0.2 BIBEANS, what version of iAS it requires?
Thanks
Eddie 
BI Beans 9.0.3 support iAS 9.0.2 and 9.0.3. BI Beans also supports BEA WebLogic 7.0 on NT.
Beans should also work with other J2EE containers but have not been fully tested in the other environments.

Compatibility issue for Report 9.0.2 and OC4J 9.0.3

We are planning to upgrade
OC4J 9.0.2.1 to 9.0.3
JDeveloper 9.0.2 to 9.0.3
Will Report Developer and Report Server 9.0.2 work with the new version of OC4J 9.0.3 and JDeveloper 9.0.3? 
Alex,
OC4J 9.0.3 and Reports 9.0.2 are not certified to work together, and there are known problems.
regards,
Stewart

TopLink 9.0.3.2 Now Available

TopLink 9.0.3.2 patch-set is now available for download from Metalink.
The instructions to get the patch-set and the release notes are available at:
http://metalink.oracle.com/metalink/plsql/showdoc?db=NOT&id=218126.1
For customers using WebSphere 5.0 this patch-set includes the necessary JTA bridge.
Cheers,
Doug Clarke
Product Manager
Oracle9iAS TopLink

Categories

Resources